#
# spec file for package mobile-broadband-provider-info
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mobile-broadband-provider-info
Version:        20230416
Release:        150600.1.2
Summary:        Mobile Service Provider Database
License:        SUSE-Public-Domain
Group:          Productivity/Networking/System
URL:            http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders
# No full URL, as this is a git snapshot (using _service)
Source0:        %{name}-%{version}.tar.xz
Source1:        mobile-broadband-provider-info-rpmlintrc

BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildArch:      noarch

%description
This package contains mobile broadband settings for different service
providers in different countries.

%prep
%autosetup -p1

%build
# Needed, as we have a git snapshot
NOCONFIGURE=1 ./autogen.sh
%configure

%install
%make_install

%files
%license COPYING
%doc README
%{_datadir}/pkgconfig/mobile-broadband-provider-info.pc
%{_datadir}/%{name}/

%changelog
* Sun Apr 16 2023 bjorn.lie@gmail.com
- Update to version 20230416:
  * MAINTAINERS: update from mobile-broadband-provider-info.doap
  * ua: fix +7Telecom
  * all: include a <name> in <country>
  * ru: add Vainah Telecom
  * ru: add Tinkoff Mobile
  * ru: add STS
  * ru: add SberMobile
  * ru: add Phoenix
  * ru: add Letai
  * ru: add Gazprombank Mobile
  * ru: add +7Telecom
  * ru: add VTB Mobile
  * ua: add Win Mobile
  * ua: add Volna mobile
  * ua: add Krymtelekom
  * ru: update operators
  * ru: clean up old operators
  * ca: add Rogers LTE APNs
  * gb:Add Superdrug Mobile
  * dk: Update Telenor DNS
  * pk: unbreak Pakistani MCC
  * doap: add Guido to maintainer list
  * us: AT&T: add RESELLER as MVNO APN
* Tue Nov  8 2022 dimstar@opensuse.org
- Update to version 20221107:
  * build:
  - Fix regex in make check
  - reject and whitespace in XML via unit test
  - use $(SP_XML_DB) in Makefile.am
  * de: telekom: give names to plan entries
  * dtd: allow "mms-internet-hipri" and "mms-internet-hipri-fota"
    types
  * fr: include voice mail and balance check for Free Mobile
  * in: add Airtel Kerala network-id
  * ui: collapse Orange and T-Mobile into EE, fix APNs
  * us: add support for Ting USA VVM
  * us: update AT&T APNs and APN usages
* Fri Aug  5 2022 bjorn.lie@gmail.com
- Update to version 20220725:
  * release: bump version to 20220725
  * bsnlnet: Add username and password
  * xk: add Ipko service provider
  * nl: correct Simple internet provider
  * fr: add Simplus data/mms settings
* Mon May 23 2022 dimstar@opensuse.org
- Update to version 20220511:
  * us: update verizon MCCMNC
  * us: Verizon Wirleess had been awarded 301 012
  * us: Verizon Wireless MMS settings
  * us: declare AT&T MCC MNC
  * at: declare lyca mobile MMS config
  * al: add AMC internet APN config
  * af: add MMS settings for AWCC
  * ad: add andorra telecom MMS settings
  * za: mtn mms
  * za: cell-c MMS setting
  * es: Add Euskaltel MMS settings
  * il: youphone mms (same APN for data and mms)
  * il: cellcom balance test
  * il: Rami Levi MMS settings
  * serviceproviders: fix indentation
  * il: Partner (previously known as Orange) MMS config
* Tue Mar 15 2022 bjorn.lie@gmail.com
- Update to version 20220315:
  * release: bump version to 20220315
  * doap: remove Jiri
  * doap: add myself
  * us: include information for voicemail for Verizon Wireless
  * dtd: expand DTD to include information for vvm3 Visual
    Voicemail standard
  * us: add Purism SPC AweSIM MVNO
  * us: added MCCMNC 310280 to AT&T
  * ro: update the Romania Orange net and mms credentials
  * eg: mms settings for vodafone.eg
  * de: add mms information to combined apn
  * us: added Ting provider information
  * us: add US Mobile (T-Mobile MVNO): mcc="310" mnc="260"
  * au: remove duplicate Telstra MMS entry
  * bd: updated profile names and other information
  * bd: remove defunct provider
  * se: remove defunct operators
  * fr: add AIF Mvno provider
  * it: add Rabona Mobile
  * us: move mobilenet APN to T-Mobile and add mmsc
  * us: add Mint Mobile VVM, APN, and MMSC
  * ca: update Fido APN settings
  * us: add MMS settings to T-Mobile LTE APN
  * us: add T-Mobile to LTE APN name
  * fr: add TeleCoop
  * dtd: fix a spelling error
  * jp: add Japanese providers
  * cl: update apn of main providers of Chile
  * ca: change Wind Mobile to Freedom Mobile
  * ca: add Public Mobile provider
  * Rename Orange (Israel) to Partner
  * Add APN information for We4G (Israel)
  * Adds the missing MMSC and MMS proxy for Orange France into
    serviceproviders.xml
  * il: Add Golan Telecom and Hot Mobile MMS settings
  * Update redirected GNOME wiki URL in CONTRIBUTING
- Drop mobile-broadband-provider-info-tmobile-reorder.patch: Having
  this patch downstream for ages makes no sense, and if it was
  really needed, one would think it had landed as a bug upstream at
  some point.
* Mon Aug 23 2021 dimstar@opensuse.org
- Update to version 20210805:
  * release: bump version to 20210805
  * au: add new Aldi Mobile provider
  * Include information for voicemail on AT&T USA
  * Include Visual Voicemail Settings for T-Mobile USA
  * Expand DTD to include information for Visual Voicemail
  * Revert "us: change Visual Voicemail number for T-Mobile USA"
  * by: fix MNC for "life:)" Belarus provider
  * us: change Visual Voicemail number for T-Mobile USA
  * de: add coments  about different APN of Deutsche Telekom
  * de: telekom: Add apn for business IoT plan
  * de: add APNs for T-Mobile(Telekom) provider
  * mz: add 'default' APN in Movitel provider
  * fi: add DNA MMS APN
  * nl: add new Simpel provider
- Rebase mobile-broadband-provider-info-tmobile-reorder.patch.
* Sat Dec 26 2020 bjorn.lie@gmail.com
- Update to version 20201225:
  * release: bump version to 20201225
  * Add <name> to .doap file
  * th: add new provider AIS (AWN)
  * pl/nju mobile: Fix the balance check USSD code
  * trivial: fix spurious whitespaces
  * Add Polish MVNOs "nju mobile" and "Virgin Mobile"
  * Remove defunct Polish MVNOs
  * Update configuration for Polish operators
  * pl: fix APN for Polish provider PLUS
  * Rename Swiss provider Orange to Salt
  * Add APN Information for Aliv Bahamas
  * Add China Telecom as LTE carrier
  * Add SpeedTalk Mobile MVNO
  * Add gitltab-ci
  * at: add balance check and top-up code for hot.at
  * sg/Starhub: Add USSD command to fetch balance info
  * Add Airtel Malawi settings
  * Add a new provider: Yota (25011)
  * Add eSwatini mobile provider info
* Tue Jun 18 2019 bjorn.lie@gmail.com
- Update to version 20190618:
  + release: bump version to 20190618
  + build:
  - Remove unused automake flags
  - Switch dist to xz
  - Update bug report URL
  - Fix make distcheck
  + Added configuration for WinSIM (German provider)
  + apn-conf: generate Android-compatible APN list
  + all: remove SVN vestiges
  + es: new SUOP operator
  + Move mcc="232" mnc="05" from Orange to Drei
  + jp:
  - Add b-mobile visitor sim entry
  - Add primary markers for NTT DoCoMo and bmobile
  + fi: Add Moi Mobiili
  + cz: add T-Mobile balance check and top-up
- Add xsltproc BuildRequires: New dependency.
* Wed Jan 16 2019 bjorn.lie@gmail.com
- Update to version 20190116:
  + it: Add Iliad prepaid.
  + Set <mailing-list> in DOAP file.
  + Replace Bugzilla by Gitlab URL in DOAP file.
  + Remove libdir and includedir from .pc.
  + si: added Telemach provider, prepaid plan.
  + fi: Add Telia Open Gate.
  + fi: Rename Sonera to Telia.
  + fi: Update data.dna.fi description, move to last.
  + fi: Add julkinen.dna.fi apn for DNA.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar 10 2017 dimstar@opensuse.org
- Update to version 20170310:
  + no: add Phonero APN.
  + mt: add APN for Melita Mobile (bgo#762162).
  + cz: add O2 balance check and top-up.
  + build: Run configure from the builddir.
  + bd: add data for Bangladesh providers.
  + fi: update Finland provider DNA.
  + nl: t-mobile update.
  + nl: KPN update.
  + nl: ben update.
  + cl: add extra mnc to Movistar Chile Network.
  + dtd: add initial attach apn type.
  + italy: add Vodafone Internet Key.
  + ko: update for Korean operators.
  + cz: add Czech "MOBIL.CZ" provider (MVNO on T-Mobile).
  + bm: add provider Bermuda Cell One.
  + release: bump version to 20170310.
* Fri Apr 15 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
* Mon Dec 14 2015 dimstar@opensuse.org
- Update to version 20151214:
  + cl: add APNs for Virgin Mobile, VTR Movil and Nextel
    (bgo#677596).
  + sv: fix wrong MNC for El Salvador Claro 706:01
  + no: new default APN for Telenor Norway
  + gb:
  - move "Asda Mobile" after "Vodafone"
  - move "giffgaff" after "O2"
  + ca: add Canadian provider SaskTel Mobility's GSM network
  + ad: add Andorra Telecom provider
  + mm: add Ooredoo and Telenor for Myanmar (bgo#694073).
  + at: add Austria "HoT" provider (MVNO on T-Mobile) (bgo#757626).
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 20150323:
  + in: add balance check code for Reliance in India
* Wed Feb  4 2015 dimstar@opensuse.org
- Update to version 20150114:
  + nl: add Vodafone Machine-to-Machine (M2N) APN
  + kg: add balance check ussds for MegaCom and O! operators
  + es: add APN for Lebara (unknown MCC/MNC)
  + ch: add USSD codes to get balance for Orange CH
  + fr: add USSD code to change balance for Orange FR
  + it: add Tiscali MVNO for Italy (bgo#735967)
  + de: remove orphaned vistream/Telogic MVNOs
  + bd: add Teletalk and update Airtel name for Bangladesh (bgo#738743)
  + es: remove 'Airtel' from the Vodafone operator name (bgo#742836)
  + es: add new operator Lowi (bgo#742839)
* Sun Oct 12 2014 dimstar@opensuse.org
- Update to git snapshot 20141012.b71dc (use disabled _services):
  + Many provider details have been updated.
- Add mobile-broadband-provider-info-tmobile-reorder.patch: Move
  internet.t-d1.de APN for Deutsche Telekom to the bottom
  (boo#899028).
- Add libtool BuildRequires and call to autogen.sh: as we are
  building a git snapshot, we need to bootstrap.
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Mon Jun 18 2012 dimstar@opensuse.org
- Update to version 20120614:
  + Many updates to the list of service providers.
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 20110511:
  + Many updates to the list of service providers.
* Tue May  3 2011 vuntz@opensuse.org
- Fix license tag to be "CC Public Domain Dedication" instead of
  "Other uncritical OpenSource License" (which got rejected by
  legal review).
- Ship COPYING and README.
* Fri Apr 29 2011 dimstar@opensuse.org
- Update to version 20110218:
  + Many updates to the list of service providers.
- Drop mobile-broadband-provider-info-git20101208.patch: fixed
  upstream.
* Wed Dec  8 2010 vuntz@opensuse.org
- Update to version 20100510:
  + Many updates to the list of service providers.
- Drop taiwan-providers.patch: fixed upstream.
- Add mobile-broadband-provider-info-git20101208.patch with the
  latest data from git, as there have been various updates since
  last May already.
- Add pkg-config BuildRequires to create the pkgconfig() Provides.
* Tue Jul 21 2009 tambet@novell.com
- Split up Taiwanese providers 'TW Mobile' and 'TransAsia', they
  have different MNCs.
